%define ortp_glib 1

%define major 9
%define libname %mklibname %{name} %{major}
%define libnamedev %mklibname %{name} -d

Summary:	Real-time Transport Protocol Stack
Name:		ortp
Version:	0.24.1
Release:	%mkrel 1
License:	LGPLv2+
Group:		Communications
URL:		http://linphone.org/ortp/
Source0:	http://download.savannah.gnu.org/releases-noredirect/linphone/ortp/sources/%{name}-%{version}.tar.xz
%if %ortp_glib
BuildRequires:	glib2-devel
%endif
BuildRequires:	gtk-doc
BuildRequires:	openssl-devel
BuildRequires:	doxygen
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
oRTP is a LGPL licensed C library implementing the RTP protocol
(rfc1889). It is available for most unix clones (primilarly Linux and
HP-UX), and Microsoft Windows.

%package -n	%{libname}
Summary:        Real-time Transport Protocol Stack
Group:		System/Libraries


%description -n	%{libname}
oRTP is a LGPL licensed C library implementing the RTP protocol
(rfc1889). It is available for most unix clones (primilarly Linux and
HP-UX), and Microsoft Windows.

%package -n	%{libnamedev}
Summary:        Headers, libraries and docs for the oRTP library
Group:          Development/Libraries
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}
Requires:       %{libname}
Obsoletes:      %{libname}5-devel

%description -n %{libnamedev}
oRTP is a LGPL licensed C library implementing the RTP protocol
(rfc1889). It is available for most unix clones (primilarly Linux and
HP-UX), and Microsoft Windows.

This package contains header files and development libraries needed to
develop programs using the oRTP library.

%prep
%setup -q

%build
%configure2_5x \
    --enable-shared \
    --enable-ipv6 \
%ifarch x86_64
     --enable-perf \
     --enable-mode64bit=yes
%else
     --enable-mode64bit=no
%endif

%make  

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}/%{_libdir}/*.la

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig


%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/*.so.%{major}*

%files -n %{libnamedev}
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}
%if %ortp_glib
%{_docdir}
%endif


%changelog
* Fri Apr 17 2015 ghostbunny <ghostbunny at gmx dot de> 0.24.1-1pclos2015
- 0.24.1
- remove unused patch

* Thu Mar 19 2015 ghostbunny <ghostbunny at gmx dot de> 0.24.0-1pclos2015
- 0.24.0

* Tue Jul 29 2014 ghostbunny <ghostbunny at gmx dot de> 0.23.0-1pclos2014
- 0.23.0
- don't enable 64bit mode on 32bit that's kind of dumb
- disable patch

* Mon Jun 24 2013 ghostbunny <ghostbunny at gmx dot de> 0.22.0-1pclos2013
- 0.22.0

* Wed Jan 16 2013 pinoc <vogtpet at gmail.com>  0.20.0-2pclos2013
- rebuild

* Fri Oct 19 2012 Neal <nealbrks0 at gmail dot com> 0.20.0-1pclos2012
- process

* Thu Oct 18 2012 Ken <lxgator at gmail.com> 0.20.0-1pclos2012
- 0.20.0

* Mon Feb 28 2011 johnnyblack <johnnyblack at inbox.com> 0.16.3-1pclos2011
- update for 2010/2011 release

